/*----------------------------------------------------------------------------
 Copyright:      
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        22.05.2017
 Description:    RS232 Routinen
------------------------------------------------------------------------------*/

#ifndef _UART_H
	#define _UART_H

//----------------------------------------------------------------------------
void usart_init(unsigned long baudrate); 
void usart_write_char(char c);
void usart_write_str(char *str);
void usart_write_P (const char *Buffer,...);
#define usart_write(format, args...)   usart_write_P(PSTR(format) , ## args)
	
//----------------------------------------------------------------------------

#endif //_UART_H

